.context-menu-container {
    display: block;
    position: absolute;
    z-index: 10000;
    box-sizing: border-box;
    left: 0;
    top: 0;
    border-radius: 2px;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, .1);
    /*
    width: 150px;
    height: 48px;
    */
}

.context-menu-container .context-menu-button,
.context-menu-container .copy-text-result {
    display: block;
    position: relative;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    /* line-height: 48px; */
    font-size: 14px;
    text-align: center;
    text-decoration: none;
    font-weight: bold;
}

.context-menu-container .context-menu-button {
    color: #fff;
    background: rgba(51, 51, 51, .9);
}

.context-menu-container .context-menu-button::before {
    content: "";
    display: inline-block;
    width: 16px;
    height: 18px;
    margin-right: 12px;
    margin-bottom: -4px;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2016%2018%22%3E%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M4%200v3H0v15h12v-3h4V0H4Zm8%2013.5h2.5v-12h-9V3H12v10.5Zm-10.5-9h9v12h-9v-12Z%22%20fill%3D%22white%22%2F%3E%3C%2Fsvg%3E");
    background-size: contain;
    background-repeat: no-repeat;
}

.context-menu-container .context-menu-button:hover {
    background: rgba(51, 51, 51, .7);
    cursor: pointer;
    text-decoration: none;
}

.context-menu-container .copy-text-result-success {
    color: #29a36b;
    background: #d6f5e7;
}

.context-menu-container .copy-text-result-success::before {
    content: "";
    display: inline-block;
    width: 18px;
    height: 18px;
    margin-right: 8px;
    margin-bottom: -2px;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2018%2018%22%3E%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M6.923%2017.385%200%2010.462l2.077-2.077L9%2015.308l-2.077%202.077Z%22%20fill%3D%22%232BA46D%22%2F%3E%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M4.846%2015.308%2015.923%204.23%2018%206.308%206.923%2017.385l-2.077-2.077Z%22%20fill%3D%22%232BA46D%22%2F%3E%3C%2Fsvg%3E");
    background-size: contain;
    background-repeat: no-repeat;
}

.context-menu-container .copy-text-result-failure {
    color: #cb320f;
    background-color: #fce2dd;

}
.context-menu-container .copy-text-result-failure::before {
    content: "";
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-right: 8px;
    margin-bottom: -2px;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2016%2016%22%3E%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M0%2013.91%2013.79.12l2.09%202.09L2.09%2016%200%2013.91Z%22%20fill%3D%22%23C20219%22%2F%3E%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22m0%202.09%2013.79%2013.79%202.09-2.09L2.09%200%200%202.09Z%22%20fill%3D%22%23CB320F%22%2F%3E%3C%2Fsvg%3E");
    background-size: contain;
    background-repeat: no-repeat;
}

.textselect-dialog-container {
    display: block;
    position: absolute;
    z-index: 10000;
    box-sizing: border-box;
    left: 50px;
    top: 50px;
    right: 50px;
    bottom: 50px;
    color: #1b1b1b;
    background: #fff;
    border: 1px solid #1b1b1b;
}

.textselect-dialog-container .textselect-dialog-caption {
    display: block;
    position: absolute;
    box-sizing: border-box;
    text-align: center;
    left: calc(2em + 5px);
    top: 5px;
    right: calc(2em + 5px);
    height: 2em;
    line-height: 2em;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.textselect-dialog-container .textselect-dialog-close {
    display: block;
    position: absolute;
    width: 2em;
    height: 2em;
    top: 5px;
    right: 5px;
    cursor: pointer;
}

.textselect-dialog-container .textselect-dialog-close:hover {
    background: #ccc;
}

.textselect-dialog-container .textselect-dialog-close::before,
.textselect-dialog-container .textselect-dialog-close::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0.2em;
    height: 2em;
    background: #333;
}

.textselect-dialog-container .textselect-dialog-close::before {
    transform: translate(-50%, -50%) rotate(45deg);
}

.textselect-dialog-container .textselect-dialog-close::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.textselect-dialog-container textarea {
    display: block;
    position: absolute;
    box-sizing: border-box;
    resize: none;
    text-align: center;
    left: 5px;
    top: 3em;
    right: 5px;
    bottom: 5px;
    width: calc(100% - 10px);
    height: calc(100% - 5px - 3em);
    text-align: left;
}

.cst_iv_normal #contents #textselect-dialog *,
.cst_iv_normal #cst_controller_normal #textselect-dialog * {
    user-select: text;
    -moz-user-select: text;
    -webkit-user-select: text;
    -ms-user-select: text;
}
